<template>
  <v-row justify="center">
    <v-dialog
      v-model="dialog"
      persistent
      max-width="550"
    >
      <template v-slot:activator="{ on, attrs }">
        <v-btn
        color="primary"
          v-bind="attrs"
          v-on="on"
        raised small
        :disabled="test.pivot.resultat_id != null"
      >
       <v-icon left>mdi-microscope</v-icon>
        analyser
      </v-btn>
      </template>
      <v-card>
        <v-card-title class="headline">
          Résultat de
        </v-card-title>
        <form class="" method="POST"  @submit.prevent="onSubmit()">
          <v-card-text>
                <v-container>
                  <v-row>
                    <v-col
                      cols="12"
                      md="12">
                        <v-autocomplete
                          v-model="form.value"
                          :items="selectResult"
                          outlined
                          label="Résultat"
                        ></v-autocomplete>
                    </v-col>

                  </v-row>
                </v-container>
          </v-card-text><hr/>
          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn
              color="green darken-1"
              text
              @click="dialog = false"
            >
              Annuler
            </v-btn>
            <v-btn
              color="green darken-1"
              text
              type="submit"
            >
              Enregistrer
            </v-btn>
          </v-card-actions>
        </form>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>
  export default {
    props: {
      test: Object,
    },
    data () {
      return {
        dialog: false,
        form:{
            value:"",
            test_id:this.test.pivot.id,
        },
        selectResult:['AA','SS','AC','AS','Groupe Sanguin A','Groupe Sanguin B','Groupe Sanguin O','Groupe Sanguin AB','Rhésus POSITIF','Rhésus NEGATIF',' NEGATIF, absence d\'hématozoaires',' POSITIF, presence de Trophozoïtes de plasmoduim Falciparum Parasitemie'],
      }
    },
     methods: {
      onSubmit()
      {
        this.$store.dispatch('alphanumerics/addAlphanumeric',this.form)
        .then((response) =>
        {
        //on informe du succes de la procedure
        flash('Resultat enregistré avec succès')
        //On remonte au sommet de la fenetre
        this.reset()
        window.scrollTo(0,0)
        },
        (error) => {

        });
      },
      stepStatus(step) {
      return this.e6 > step ? 'green' : 'blue'
    },
         reset()
             {
                  this.form.value =""
                  this.form.test_id =""
                  this.dialog = false
             },

    },
  }
</script>

